
QGIS Application - Bug report #21876

Crashes when loading qml style for point layer

2019-04-17 07:24 PM - Ghassen Aouinti

Status: Open

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29691

Description

When loading a qml style file for a point layer, QGIS crashes :

This qml file was exported from a point layer which can be uploaded to it successfully.

but with this layer is Clipped to a small area and i load the same QML to the new one, QGIS crashes !

History

#1 - 2019-04-17 07:26 PM - Ghassen Aouinti

Stack Trace

QgsUnitSelectionWidget::setMapCanvas :

QgsPointClusterRendererWidget::setContext :

QgsRendererPropertiesDialog::setContext :

QgsVectorLayerProperties::updateSymbologyPage :

QgsVectorLayerProperties::syncToLayer :

QgsVectorLayerProperties::loadStyle :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QDialogPrivate::operator= :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::mousePressEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::showLayerProperties :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsLayerTreeView::contextMenuEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa

QGIS code revision: commit:2468226bc9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

#2 - 2019-04-18 01:36 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Unknown to Symbology
Please attach the data and the qml file that are causing the problem (cannot replicate here with my own test data).

#3 - 2019-04-22 03:42 PM - Ghassen Aouinti

problem solved

this was because the exported layer was a MultiPoint type layer and not a Point type Layer.

#4 - 2019-04-23 08:54 AM - Giovanni Manghi

Ghassen Aouinti wrote:

problem solved

this was because the exported layer was a MultiPoint type layer and not a Point type Layer.

ok, but if this is causing a crash in a consistent way then better to fix it, for this the qml and sample data would be very important, thanks.

#5 - 2019-04-23 03:51 PM - Ghassen Aouinti

- File Data_test.zip added

Yes of course Giovanni, I understand this..

#6 - 2019-04-23 08:14 PM - Giovanni Manghi

- Operating System deleted (Windows 10)

- Status changed from Feedback to Open

Crash confirmed on Linux too, and is not data format dependent.

Files

QGIS_error 4.01 KB 2019-04-17 Ghassen Aouinti

Data_test.zip 70 KB 2019-04-23 Ghassen Aouinti
